% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ctCompareExpectation.R
\name{ctCompareExpected}
\alias{ctCompareExpected}
\title{ctCompareExpected
Compares model implied to observed means and covariances for panel data fit with ctsem.}
\usage{
ctCompareExpected(fitobj, cov = TRUE, outputmatrices = FALSE,
  pause = TRUE, varlist = "all", ylim = c(-1, 1), ...)
}
\arguments{
\item{fitobj}{Fitted model object from OpenMx or ctsem.}

\item{cov}{Logical. If TRUE, show covariance plots, if FALSE show correlations.}

\item{outputmatrices}{if TRUE, output expected, observed, and residual correlation matrices as well as plots.}

\item{pause}{if TRUE (default) output plots interactively, one at a time.  If FALSE, output without stopping.}

\item{varlist}{if "all" include all variables in dataset.  Otherwise, specify numeric vector of variables to include.}

\item{ylim}{vector of min and max Y axis limits for plot.}

\item{...}{additional arguments passed to plot.}
}
\description{
ctCompareExpected
Compares model implied to observed means and covariances for panel data fit with ctsem.
}
