% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ctRefineTo.R
\name{ctRefineTo}
\alias{ctRefineTo}
\title{ctRefineTo}
\usage{
ctRefineTo(datawide, ctmodelobj, modfunc = NULL, ...)
}
\arguments{
\item{datawide}{Data in ctsem wide format}

\item{ctmodelobj}{A continuous time m specified via the \code{\link{ctModel}} function.}

\item{modfunc}{function to run prior to each optimization step, that takes ctsem fit object, modifies it as desired, and returns the fit object.}

\item{...}{additional parameters to pass to \code{\link{ctFit}}.}
}
\value{
Returns a fitted ctsem object in the same manner as \code{\link{ctFit}}.
}
\description{
Fits a ctsem m in a stepwise fashion to help with difficult optimization.
}
\details{
This function fits a sequence of ctsem models increasing in complexity, 
starting with a m involving fixed and relatively strong auto effects, no cross effects, no predictors, and no off-diagonal covariances.
For many models this can improve the speed and robustness of fitting
}
